-- phpMyAdmin SQL Dump
-- version 4.3.9
-- http://www.phpmyadmin.net
--
-- Host: mysql.org
-- Generation Time: May 31, 2015 at 01:15 AM
-- Server version: 5.5.43
-- PHP Version: 5.6.5

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `homecontrol`
--

-- --------------------------------------------------------

--
-- Table structure for table `commands`
--

CREATE TABLE IF NOT EXISTS `commands` (
  `deviceId` int(50) NOT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `carrierType` int(11) NOT NULL,
  `signalName` varchar(50) NOT NULL,
  `commandType` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `devices`
--

CREATE TABLE IF NOT EXISTS `devices` (
  `roomid` int(11) NOT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `housecode` varchar(5) NOT NULL,
  `unitcode` varchar(1) NOT NULL,
  `state` tinyint(2) NOT NULL,
  `carrierCapabilities` varchar(50) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `environment`
--

CREATE TABLE IF NOT EXISTS `environment` (
  `nodeid` int(11) NOT NULL,
  `timestamp` bigint(11) NOT NULL,
  `temperature` double DEFAULT NULL,
  `humidity` double DEFAULT NULL,
  `brightness` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `nodes`
--

CREATE TABLE IF NOT EXISTS `nodes` (
  `id` int(11) NOT NULL,
  `name` varchar(20) NOT NULL,
  `relayPort` int(11) NOT NULL,
  `roomid` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `rooms`
--

CREATE TABLE IF NOT EXISTS `rooms` (
  `id` int(11) NOT NULL,
  `name` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `lastActivity` bigint(20) DEFAULT NULL,
  `lightLevel` int(11) DEFAULT NULL,
  `lightLevelLastUpdate` bigint(20) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `settingName` varchar(50) NOT NULL,
  `settingValue` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL,
  `username` varchar(20) NOT NULL,
  `password` varchar(200) NOT NULL,
  `emailAddress` varchar(80) NOT NULL,
  `useridentifier` varchar(50) NOT NULL,
  `home` tinyint(2) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `commands`
--
ALTER TABLE `commands`
  ADD PRIMARY KEY (`id`), ADD KEY `deviceId` (`deviceId`);

--
-- Indexes for table `devices`
--
ALTER TABLE `devices`
  ADD PRIMARY KEY (`id`), ADD KEY `roomid` (`roomid`);

--
-- Indexes for table `environment`
--
ALTER TABLE `environment`
  ADD PRIMARY KEY (`nodeid`,`timestamp`);

--
-- Indexes for table `nodes`
--
ALTER TABLE `nodes`
  ADD PRIMARY KEY (`id`), ADD KEY `roomid` (`roomid`);

--
-- Indexes for table `rooms`
--
ALTER TABLE `rooms`
  ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`settingName`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `useridentifier` (`useridentifier`), ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `commands`
--
ALTER TABLE `commands`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT for table `devices`
--
ALTER TABLE `devices`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=24;
--
-- AUTO_INCREMENT for table `nodes`
--
ALTER TABLE `nodes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `rooms`
--
ALTER TABLE `rooms`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `commands`
--
ALTER TABLE `commands`
ADD CONSTRAINT `commands_ibfk_2` FOREIGN KEY (`deviceId`) REFERENCES `devices` (`id`);

--
-- Constraints for table `devices`
--
ALTER TABLE `devices`
ADD CONSTRAINT `devices_ibfk_1` FOREIGN KEY (`roomid`) REFERENCES `rooms` (`id`);

--
-- Constraints for table `environment`
--
ALTER TABLE `environment`
ADD CONSTRAINT `environment_ibfk_1` FOREIGN KEY (`nodeid`) REFERENCES `nodes` (`id`);

--
-- Constraints for table `nodes`
--
ALTER TABLE `nodes`
ADD CONSTRAINT `nodes_ibfk_1` FOREIGN KEY (`roomid`) REFERENCES `rooms` (`id`);

INSERT INTO `settings` (`settingName`, `settingValue`) VALUES
('authenticationMode', 'mysql'),
('databaseVersion', '1'),
('dateFormat', 'dd.MM.yyyy HH:mm:ss:SSSS'),
('ldapBasePath', 'CN=Users,DC=my,DC=domain,DC=name'),
('ldapCacheRefresh', '60'),
('ldapDomain', 'MYDOMAIN'),
('ldapHosts', 'dc1:636'),
('ldapMailAttribute', 'mail'),
('ldapMemberGroup', 'CN=HomeControl,CN=Users,DC=my,DC=domain,DC=name'),
('ldapUserAttribute', 'samAccountName'),
('ldapUseSsl', 'true'),
('logLevel', '5'),
('logMaxSize', '5'),
('notificationEnabled', 'false'),
('maximumLoggedInUsers', '20'),
('notificationAuthenticate', 'false'),
('notificationEncryptionType', 'NONE'),
('notificationFromAddress', 'admin@localhost.com'),
('notificationMailServer', 'mail.host.com'),
('notificationMailServerPort', '25'),
('notificationPassword', ''),
('notificationToAddress', 'admin@localhost.com'),
('notificationUsername', ''),
('serverRelay', 'false'),
('serverRelayAutoDisconnectTime', '300000'),
('serverRelayClientTimeout', '5000'),
('serverRelayPsk', 'someComplexPassword'),
('serverRelayUseSsl', 'true'),
('switchRoomDelay', '0');


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
